const express = require('express');
const router = express.Router();
const authController = require('../controllers/auth.controller');
const { loginValidator } = require('../middlewares/validators');
const handleValidation = require('../middlewares/handleValidation');

router.post('/login',loginValidator, handleValidation, authController.login);
router.post('/createuser',authController.createuser);
router.post('/recoverpass',authController.passRecover);

module.exports = router;